Subject: Re: Problem with git-push

From: Florent Thoumie <[email-masked]>
Date: Wed, 01 Nov 2006 22:54:53 +0000

On Wed, 2006-11-01 at 13:43 -0800, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Johannes Schindelin <[email-masked]> writes:
> >
> >>> but more importantly, if the directory in question was created by 
> >>> somebody else, I do not think this chmod() would succeed even if you are 
> >>> in the same group as the owner (i.e. previous creator) of the directory.
> >>
> >> But if somebody else created it, it should already have the correct 
> >> permissions in the first place (unless the user played around with them, 
> >> which is not a pilot error, but a willfull pointing of the barrel in the 
> >> general direction of your knee).
> >
> > True; I think the yesterday's analysis is still incomplete.  I
> > haven't reached the point where I can explain "is a directory".
> > If the directory was there and mkdir() failed (but we do not
> > check its return value), it would have set errno to EEXIST not
> > to EISDIR.  There is something else going on.
> 
> Actually, Florent's said the directory permission was screwed up
> to begin with, so after following the code a bit more I can see
> why it said "is a directory".

I screwed the perms. I have a cron job that does automatic imports and
it's running as root. I've been lured by the fact that it uses my name
and email address to do those imports, so I thought it was running under
my unprivileged account.

Florent